Subject: Review of Chinese Windows 95, by Mr. Wang

From: Yuan Jiang <[email-masked]>

From: (Lao Wang)
Subject: Something about Win95 in China

---------Begin
Win95 is hot now. And it is said the Chinese version will be announced
in few months. As I have the chance to install it on many PCs and use
it for about a month, I wish to introduce something about Win95. Wish
this helpful to Chinese users.

Win95 is more powerful and safe, and easy to use if you are familiar
with old Windows versions. But it has some special properties which
might be unconvenient to domestic users in China mainland. The reason
is mainly because that the most softwares and hardwares are not very
standard, or compatiable, not developed strictly according to
compatiability demand, and Win95 will check these softwares and
hardwares out as something might working un-normally which will cause
system errors.

For instance, there is one compatiable 486/33 PC with 8MB RAM and 400MB
HDD running with Win95. Win95 often fails to pass starting-up
self-checking and enters the safe mode. The same PC works well with
P-Win 3.x. It takes me a long time to find the reason: the external cache
is set to ON and should be set to OFF, because most IC-chips adopted to
be external cache in the machines sold in China are not working steadily.

After I change the CMOS setting to disable the external cache, Win95
prompts me that the display setting is not correct. This PC use a VL-bus
Trident TVGA 8900C card, which supports 800x600(65536 color) display mode
under P-Win 3.x. But since the driver is not compatiable with Win95 and
Win95 does not provide all drivers for all OEM display cards, I have to
change the display mode to 800x600(256 color).

Then the PC is suffered from softwares. Most foreign softwares such as
MS WORD, EXCEL, ProComm Plus, PhotoStyler work very well both in Win 3.x
and Win95. But some softwares developed by some Chinese companies report
un-compatiability. I know it is more difficult for Chinese developers to
develop softwares for Windows as we are lack of tools and knowledges of
resources, also lack of time and money to do necessary tests and
improvments. The Chinese versions of Win95, MS Word, Excel are all
experienced long and wide-area Beta tests in China by Chinese users.

Win95 is a challenge and chance to Chinese users and computer related
enterprises. To make full use of Win95, the users will need more
compatialbe and reliable softwares and hardwares. I am one of the first
Chinese users of Microsoft's products and have successfully developed a
muti-media database system under Windows 3.x from 1991 to 1993, so I wish
we can hold this chance, to seek more co-operation with Microsoft and
other foreign companies to make Chinese users enjoy Win95 and computers
well. Will Microsoft sponsor some selected Chinese companies to develop
better softwares and hardwares? I wish some friends there can pass the
suggestion above to Bill Gates. ;-)

--------End

Wang